# ByteArrayInputStream Class Reference

Inherits InputStream.

List of all members.

## Detailed Description

InputStream implemented on top of a byte array.

## Public Member Functions

| ByteArrayInputStream (const ByteList &bytes)
| Creates a ByteArrayInputStream.
virtual | ~ByteArrayInputStream ()
virtual void | close ()
| Closes this file input stream and releases any system resources associated with the stream.
virtual int | read (ByteBuffer &buf)
| Reads a sequence of bytes into the given buffer.

## Constructor & Destructor Documentation

ByteArrayInputStream | ( | const ByteList & | bytes | ) |

Creates a ByteArrayInputStream.

Parameters:

  | bytes | array of bytes to copy into stream.

virtual ~ByteArrayInputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void close | ( |  | ) | `[virtual]`

| Closes this file input stream and releases any system resources associated with the stream. Implements InputStream.

virtual int read | ( | ByteBuffer & | buf | ) | `[virtual]`

Reads a sequence of bytes into the given buffer.

Parameters:

  | buf | The buffer into which bytes are to be transferred.

Returns:
  the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Implements InputStream.

The documentation for this class was generated from the following file:

- bytearrayinputstream.h